#ifndef CONNECTIONMANAGER_HXX
#define CONNECTIONMANAGER_HXX

/// Forward Declare DBConnection class
class DBConnection;

/// Connection Manager class- Produce connection to
/// specified database.
class ConnectionManager
{
    private:
        /// Pointer to DBConnection
        DBConnection* myDBConnectionP;

    public:
        /// Constructor
        ConnectionManager(void)
        { 
            myDBConnectionP = 0;
        };

        /// Destructor
        virtual ~ConnectionManager(void)
        { 
            delete myDBConnectionP;
        };

        /// handle instructions from DBInfo
        DBConnection* GetDBConnection(const DBInfo dbInfo);

};
#endif
