package org.vovida.prov.authentication.test;


import org.vovida.prov.authentication.AuthTopLevel;



public class ShowGuiPasswdInput extends Test
{
    protected int startTest() throws Throwable
    {
        AuthTopLevel.main(new String [] {AuthTopLevel.OPT_MAIN_CLASS,
            this.getClass().getName(),
            AuthTopLevel.OPT_LOGIN_CALLBACK_HANDLER,
            "org.vovida.prov.authentication.AuthInput"});
        lastMessage = "Main method was not executed";
        return SUCCESS;
    }

    public static void main(String [] arg)
    {
        lastMessage = "Main method was executed";
    }

    public String getTestDescription()
    {
        return "Bring up the gui method of entering account identifier and password to allow testing.";
    }

    public String getTestName()
    {
        return "Show gui callback handler";
    }

    public int run() throws Throwable
    {
        return startTest();
    }
}

