package org.vovida.prov.psLib.test;

import java.net.*;
import java.io.*;

class DumbHttpServer
{
  public static void main(String[] args) throws IOException
  {
    ServerSocket serverSocket = null;
    try
    {
      serverSocket = new ServerSocket(80);
    }
    catch (IOException e)
    {
      System.err.println("Could not listen on port: 80.");
      System.exit(1);
    }
    Socket clientSocket = null;
    System.out.println("Connected.");

    while (true)
    {
      try
      {
        clientSocket = serverSocket.accept();
        System.out.println("Local Port: " + clientSocket.getLocalPort());
        System.out.println("Remote Port: " + clientSocket.getPort());
      }
      catch (IOException e)
      {
        System.err.println("Accept failed.");
        System.exit(1);
      }
      System.out.println("Connected to client");
      BufferedReader in = new BufferedReader(new FileReader("c:/tmp.xml"));
      PrintWriter out = new PrintWriter(clientSocket.getOutputStream(), false);
      String fileData;
      StringBuffer buff = new StringBuffer();
      int c;
      while ((c=in.read()) != -1)
      {
         buff.append((char)c);
      }
      fileData = buff.toString();

      out.print("200 OK HTTP/1.1\r\n");
      out.print("Content-Length: " + fileData.length() + "\r\n");
      out.print("\r\n");
      out.print(fileData);
      out.flush();


      System.out.println("Closing Connection...\n\n");

      out.close();
      in.close();
      clientSocket.close();
    }
  }
}
