package org.vovida.prov.userEdit;

import javax.swing.JCheckBox;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;




public class FeatureCheckBox extends JCheckBox
{
    private String id;
    private String name;
    private boolean changed = false;


    public FeatureCheckBox(String checkId)
    {
        super(checkId);
        id = checkId;
        name = checkId;

        addActionListener (new ActionListener ()
        {
			public void actionPerformed(ActionEvent e)
            {
                changed = true;
System.out.println("featureCheckBox.stateChanged - " + getText());
            }
        });
    }


    public boolean isChanged()
    {
        return changed;
    }

    public void resetChanged()
    {
        changed = false;
    }

    public void setName(String aName)
    {
        name = aName;
        setText(name);
    }

	public String getId()
    {
        return id;
    }

    public void setText(String text)
    {
        super.setText(text);
        name = text;
    }

    public String getText()
    {
        return name;
    }
}
