// PSBlobResult.cxx



#include "PSBlobResult.hxx"
#include "cpLog.h"



///
PSBlobResult::PSBlobResult()
  : myBlobTable(0)
{
}


///
PSBlobResult::~PSBlobResult()
{

}


///
void
PSBlobResult::setBlobValue(const int index, const string& value)
{
    cpLog (LOG_DEBUG, "Index = %d; value = %s", index, value.c_str());

    if (index < 0)
	return;

    myBlobTable.resize(index+1);
    myBlobTable[index].push_back(value);

}

///
blobType
PSBlobResult::getBlobTable()
{
    blobType ret;
    int size = myBlobTable.size();
    ret.resize(size);

    for (unsigned short i = 0; i < size; i++)
      {
	vector<string> temp = myBlobTable[i];

	for (unsigned short j = 0; j < temp.size(); j++)
	  {
	    ret[i].push_back(temp[j]);
	  }
      }


    return ret; //myBlobTable;

}

