/* ====================================================================
 * The Vovida Software License, Version 1.0 
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 *    and "Vovida Open Communication Application Library (VOCAL)" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact vocal@vovida.org.
 *
 * 4. Products derived from this software may not be called "VOCAL", nor
 *    may "VOCAL" appear in their name, without prior written
 *    permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 *
 */


static const char* const testPSDBResult_cxx = "$Id: testPSDBResult.cxx,v 1.1.1.1 2001/08/21 23:30:24 dabryan Exp $";

#include "cpLog.h"
#include "testPSDBResult.h"
#include "PSCommon.hxx"
#include "PSDBResult.hxx"



// test PSDBResult API 
int
testPSDBResult()
{
    cout << "Please try out the testProxy program instead." << endl;
    return 0;
    /*
    try
    {
        PSDBResult myResult;    

        // set canned response
        myResult.setResult("<response> <domain> Accounts </domain> <resultcount> 5 </resultcount> <match> <fieldvalue> <uid>1001</uid> <phone>4083831001</phone> </fieldvalue> </match> <match> <fieldvalue> <uid>1002</uid> <phone>4083839999</phone> </fieldvalue> </match>");

        // now parse the XML content

        // for now, fake the parsing:
        myResult.reserveNumTables( 2 );
        myResult.setFieldValue( 0, "phone", "4083831001");
        myResult.setFieldValue( 0, "uid", "1001" );
        myResult.setFieldValue( 0, "foo", "bar" );
        myResult.setFieldValue( 1, "uid", "1002" );
        myResult.setFieldValue( 1, "phone", "4083839999");

        myResult.print(LOG_DEBUG); 

        // test get value as an integer
        int value = 0;
        myResult.getFieldValueAsInt( "uid", value );
        cout << "1st uid value = " << value << endl;
        myResult.getFieldValueAsInt( 1, "uid", value );
        cout << "2nd uid value = " << value << endl;

        // convert value as an long int
        long longVal = 0;
        myResult.getFieldValueAsLong( "phone", longVal );
        cout << "1st phone value = " << longVal << endl;
        myResult.getFieldValueAsLong( 1, "phone", longVal );
        cout << "2nd phone value = " << longVal << endl;

        // convert value as a double   
        double doubleVal = 0;
        myResult.getFieldValueAsDouble( "phone", doubleVal );
        cout << "1st phone value = " << doubleVal << endl;
        myResult.getFieldValueAsDouble( 1, "phone", doubleVal );
        cout << "2nd phone value = " << doubleVal << endl;
        
        
    }
    catch (VException& e)
    {
        cout << "Throw exception: " << e.getDescription().c_str() << endl;
        return -1;
    }

    return 0;
    */
}

