package org.vovida.prov.authentication;

/**
 * Exception thrown by the top level authentication class if the child application
 * fails during execution.
 */
public class ApplicationException extends StackTraceException 
{
    ApplicationException(String message)
    {
        super(message);
    }

    ApplicationException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
