package org.vovida.prov.authentication.test;


import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;

import org.vovida.prov.authentication.AuthConstants;
import org.vovida.prov.authentication.LoginModuleConstants;




public abstract class PSTest extends Test implements CallbackHandler
{
    public int run() throws Throwable
    {
        lastMessage = null;
        LoginModuleConstants.provisioningInterface = new AuthTestProvisioningInterface();
        int result = startTest();
        return result;
    }

    protected AuthTestProvisioningInterface getProvisioningInterface()
    {
        return (AuthTestProvisioningInterface)LoginModuleConstants.provisioningInterface;
    }


    protected abstract int startTest() throws Throwable;
}
