package org.vovida.prov.table;

import javax.swing.plaf.basic.BasicScrollBarUI;

import java.awt.event.MouseListener;



/**
 * By default, a scroll bar does not seem to generate mouse events when the
 * increment and decrement buttons are clicked. These buttons have protected
 * access within the BasicScrollBarUI so in order to add a mouse listener to
 * them, the BasicScrollBarUI must be subclassed.
 * Clicks on the increment and decrement buttons are interesting because it
 * is necessary to know when they have been clicked in order to implement
 * paging functionality in the table of accounts.
 **/
public class CustomScrollBarUI extends BasicScrollBarUI
{
    public void addMouseListener(MouseListener compactor)
    {
        incrButton.addMouseListener(compactor);
        decrButton.addMouseListener(compactor);
    }
}
