package org.vovida.prov.table.event;

import java.awt.event.ComponentListener;
import java.awt.event.ComponentEvent;
import java.awt.event.MouseAdapter;

public class ResizeEventCompactor extends EventCompactor 
    							  implements ComponentListener
{
    //------ start implementation of ComponentListener interface -------

	/**
     * Called when the window has been resized. <p>
     * Needs to figgure out whether data has been loaded for all visible rows
     * in the table and if not, start a task to load the missing data.
     */
	public void componentResized(ComponentEvent event)
    {
		System.out.println("ResizeEventCompactor.componentResized");
		eventOccurred(event);
    }

    public void componentHidden(ComponentEvent e)
    {
        //nothing to do
    }
	public void componentMoved(ComponentEvent e)
    {
    	//nothing to do
    }

	public void componentShown(ComponentEvent e)
    {
    	//nothing to do
    }

    //------ start implementation of ComponentListener interface -------
}
