package org.vovida.prov.util.assert;

//import org.vovida.common.util.*;



/**
 * 
 * Provides basic methods for Design by Contract. <p>
 */
public final class Assert
{
  /** @link dependency */
  /*#AssertError lnkAssertError;*/

  /**
   * Returns if the condition expressed by "condition" is true,
   * throws an Error if it is not. <p>
   */
    
  public static void assert(String conditionName, boolean condition)
  {
    if (condition==false)
    {
      if (conditionName==null)
        throw new AssertError("assert");
      else
        throw new AssertError("assert '" + conditionName + "' is not true");
    }
  }

}
