/*
 * ====================================================================
 * The Vovida Software License, Version 1.0
 * 
 * Copyright (c) 2000 Vovida Networks, Inc.  All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in
 * the documentation and/or other materials provided with the
 * distribution.
 * 
 * 3. The names "VOCAL", "Vovida Open Communication Application Library",
 * and "Vovida Open Communication Application Library (VOCAL)" must
 * not be used to endorse or promote products derived from this
 * software without prior written permission. For written
 * permission, please contact vocal@vovida.org.
 * 
 * 4. Products derived from this software may not be called "VOCAL", nor
 * may "VOCAL" appear in their name, without prior written
 * permission of Vovida Networks, Inc.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
 * NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
 * IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * 
 * ====================================================================
 * 
 * This software consists of voluntary contributions made by Vovida
 * Networks, Inc. and many individuals on behalf of Vovida Networks,
 * Inc.  For more information on Vovida Networks, Inc., please see
 * <http://www.vovida.org/>.
 * 
 */

/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package vocal.ui;

import java.awt.*;
import javax.swing.*;

public class ChgPwdScreen extends JPanel
{
  JScrollPane jScrollPane1 = new JScrollPane();
  JPanel jPanel1 = new JPanel();
  LabelFieldPanel labelFieldPanel1 = new LabelFieldPanel();
  JLabel jLabel1 = new JLabel();
  JPasswordField jPasswordField1 = new JPasswordField();
  JLabel jLabel2 = new JLabel();
  JPasswordField jPasswordField2 = new JPasswordField();
  JLabel jLabel3 = new JLabel();
  JPasswordField jPasswordField3 = new JPasswordField();
  JPanel jPanel2 = new JPanel();
  FlowLayout flowLayout1 = new FlowLayout();
  JPanel jPanel3 = new JPanel();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  BorderLayout borderLayout1 = new BorderLayout();
  BorderLayout borderLayout2 = new BorderLayout();
  GridBagLayout gridBagLayout1 = new GridBagLayout();

  public ChgPwdScreen()
  {
    try
    {
      jbInit();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    this.setLayout(borderLayout1);
    labelFieldPanel1.setPreferredSize(new Dimension(300, 120));
    labelFieldPanel1.setHorizontalGap(15);
    labelFieldPanel1.setVerticalGap(25);
    jLabel1.setText("Old Passwd:");
    jLabel2.setText("New Passwd:");
    jLabel3.setText("Re-enter Passwd:");
    jPanel1.setLayout(borderLayout2);
    jPanel2.setLayout(flowLayout1);
    flowLayout1.setVgap(50);
    jPanel3.setLayout(gridBagLayout1);
    jButton1.setText("Ok");
    jButton2.setText("Cancel");
    jPanel1.setPreferredSize(new Dimension(483, 370));
    this.add(jScrollPane1, BorderLayout.CENTER);
    jScrollPane1.getViewport().add(jPanel1, null);
    jPanel1.add(jPanel2, BorderLayout.CENTER);
    jPanel2.add(labelFieldPanel1, null);
    labelFieldPanel1.add(jLabel1, null);
    labelFieldPanel1.add(jPasswordField1, null);
    labelFieldPanel1.add(jLabel2, null);
    labelFieldPanel1.add(jPasswordField2, null);
    labelFieldPanel1.add(jLabel3, null);
    labelFieldPanel1.add(jPasswordField3, null);
    jPanel2.add(jPanel3, null);
    jPanel3.add(jButton2, 
                new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0, 
                GridBagConstraints.CENTER, GridBagConstraints.NONE, 
                new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jButton1, 
                new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0, 
                GridBagConstraints.CENTER, GridBagConstraints.NONE, 
                new Insets(0, 0, 0, 0), 30, 0));
  }

}

